curl -X GET "https://api.nevatal.com/api/v1/clinical-procedures?specialty=odontologia" \
-H "Authorization: Bearer nvtl_your_api_key"
{
"data": [
{
"id": "proc_general_consult",
"name": "Consulta General",
"code": "890101",
"specialty": "Odontología General",
"duration": 30,
"price": 150000,
"currency": "COP",
"status": "active"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 28
}
}
Clinical Procedures
List Clinical Procedures
Retrieve the clinic’s procedure catalog
GET
/
api
/
v1
/
clinical-procedures
curl -X GET "https://api.nevatal.com/api/v1/clinical-procedures?specialty=odontologia" \
-H "Authorization: Bearer nvtl_your_api_key"
{
"data": [
{
"id": "proc_general_consult",
"name": "Consulta General",
"code": "890101",
"specialty": "Odontología General",
"duration": 30,
"price": 150000,
"currency": "COP",
"status": "active"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 28
}
}
Query Parameters
integer
default:"1"
Page number
integer
default:"20"
Results per page
string
Search by procedure name or code
string
Filter by medical specialty
string
Filter:
active, inactivecurl -X GET "https://api.nevatal.com/api/v1/clinical-procedures?specialty=odontologia" \
-H "Authorization: Bearer nvtl_your_api_key"
{
"data": [
{
"id": "proc_general_consult",
"name": "Consulta General",
"code": "890101",
"specialty": "Odontología General",
"duration": 30,
"price": 150000,
"currency": "COP",
"status": "active"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 28
}
}

